% /*************************************************************************************
%    Intel Corp.
%
%    Project Name:  60 GHz Living Room Channel Model
%    File Name:     lr_el_2nd.m
%    Authors:       A. Lomayev, R. Maslennikov
%    Version:       5.0
%    History:       May 2010 created
%
%  *************************************************************************************
%    Description:
% 
%    function generates elevation angles in [deg] for 2nd order clusters obtained from ceiling 
%    and floor reflections in LR environment
%
%    [y] = lr_el_2nd(size)
%
%    Inputs:
%
%       1. size - target size of returned array
%
%    Outputs:
%
%       1. y - elevation angles array
%
%  *************************************************************************************/
function [y] = lr_el_2nd(size)

y = 35.*rand(1,size) + 42;